> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Streaming Status

> Returns streaming status for all services



## OpenAPI

````yaml GET /open-api/v1.0/streaming
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/streaming:
    get:
      tags:
        - Streaming
      summary: Get streaming status
      description: Returns streaming status for all services
      operationId: get-streaming-status
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1
      security:
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/streaming/get-streaming-status
components:
  schemas:
    com.fourthwall.openapi.model.StreamingStatusV1:
      type: object
      properties:
        shopId:
          type: string
        services:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch
      required:
        - services
        - shopId
      title: Streaming Status
    com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service
        - type: object
          properties:
            status:
              type: string
              enum:
                - ONLINE
                - OFFLINE
            broadcasterId:
              type: string
            broadcasterLogin:
              type: string
            thumbnailUrl:
              type: string
        - type: object
          properties:
            type:
              type: string
              const: TWITCH
      required:
        - status
      title: Twitch
    com.fourthwall.openapi.model.StreamingStatusV1.Service:
      discriminator:
        propertyName: type
        mapping:
          TWITCH:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch
      properties:
        type:
          type: string
      required:
        - type
      title: Service
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````